Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/20102/?format=api
{ "ob_id": 20102, "uuid": "e7abb935751a465981c6155593ba6dd3", "title": "CARDOMOM 2001 - 2010 global carbon model data", "abstract": "The CARbon DAta MOdel fraMework (CARDAMOM; Bloom et al., 2015 in review) outputs are derived from a global 1-degree x 1-degree 2001-2010 model-data fusion (MDF) analysis. The data include allocation fractions (AF) residence times (RT), mean carbon pool stocks (CP) and fluxes (FL). The Data Assimilation Linked Ecosystem Carbon model version 2 (DALEC2) and the Markov Chain Monte Carlo MDF algorithm are described by Bloom & Williams (2015); the fire module is described by Bloom et al., (2015; in review). Data constraints used in the CARDAMOM analysis consist of MODIS leaf area index (LAI), Harmonised World Soil Database (HWSD; Hiederer & Kochy, 2012) and tropical biomass (Saatchi et al., 2011). For each 1-degree x 1-degree gridcell, the metrics (e.g. mean, median, etc.) are based on 4000 DALEC2 model parameter samples unique to that grid-cell. ", "keywords": "carbon cycle, biomass, soil carbon, allocation, residence time", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "", "status": "underDevelopment", "result_field": null, "timePeriod": null, "geographicExtent": null, "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data was produce by Mat Williamas and Jean Francoise Exbrayat of the University of Edinburgh as part of the NCEO work programme", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5002/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79059/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204978/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204979/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204980/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204982/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204983/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [] }